# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KStatusBarLabel Class Reference

Internal label class for use in KStatusBar. More...

`#include <kstatusbar.h>`

Inheritance diagram for KStatusBarLabel:

[legend]
Collaboration diagram for KStatusBarLabel:

[legend]
List of all members.

## Signals

void | itemPressed (int id)
void | itemReleased (int id)

## Public Member Functions

| KStatusBarLabel (const QString &text, int _id, KStatusBar *parent=0L, const char *name=0L)

## Protected Member Functions

void | mousePressEvent (QMouseEvent *_event)
void | mouseReleaseEvent (QMouseEvent *_event)

## Detailed Description

Internal label class for use in KStatusBar.

Definition at line 35 of file kstatusbar.h.

The documentation for this class was generated from the following files:

- kstatusbar.h
- kstatusbar.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:22:21 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003